Bug 8758 - mount.cifs : impossible to enter a username that contains a '%' character
mount.cifs : impossible to enter a username that contains a '%' character
Product: CifsVFS
Classification: Unclassified
Component: user space tools
All All
: P5 normal
: ---
Assigned To: Jeff Layton
Depends on:
  Show dependency treegraph
Reported: 2012-02-12 18:38 UTC by julien.leveque
Modified: 2015-09-01 10:45 UTC (History)
2 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description julien.leveque 2012-02-12 18:38:41 UTC
I found no way to escape the '%' in order to enter a username that contains a '%' character. The part of the login name that is after '%' is recognized as password.

I tried to espace with \ or double %% or $'\045'  ==> it does not work.
Same thing if providing arguments using a file

$mount.cifs -V
mount.cifs version: 5.3

Thanks for your feedback
Comment 1 Jeff Layton 2012-04-06 11:56:15 UTC
Yeah, this is due to a rather dumb design decision when mount.cifs was
created. We'll have to think about how best to deprecate the username%password syntax. For now, I'm afraid that this simply won't work.

Steve, this page indicates that '%' is a legit character in a username. What
was the rationale for disallowing it? Any thoughts on how to fix this? I think
we're better off deprecating this syntax than adding non-standard escape
sequences that we'll need to deal with later...

Comment 2 Jeff Layton 2012-10-12 10:54:06 UTC
I've started the process to deprecate the syntax that allows you to embed the domain and password in the username (see commit 569cfcb3 in cifs-utils repo). I've just released 5.7 and am planning to remove that support in 5.9.
Comment 3 lokeshbabu 2015-08-27 18:49:38 UTC
Hi Jeff,

Is this issue resolved

if so, which build has it

Comment 4 Jeff Layton 2015-09-01 10:45:41 UTC
(In reply to lokeshbabu from comment #3)

Yes, it's resolved. Support for "complex" usernames was removed in cifs-utils-5.9, but that also added a regression. I'd suggest moving to 6.4 unless you have some reason to stay at an earlier version.